Get Webhook Events – Management API – MediaKind
Get Webhook Events
get https://app.mk.io/api/v1/projects/:project_name/webhook/rules/:rule_name/events
Get Events processed for the Webhook Rule.
RBAC Capability Required: webhooks.config.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| project_name | string | Yes | Name of the project |
| rule_name | string | Yes | Name of the rule |
Response
200 A single Webhook Rule
@odata.nextLinkstring Optional
@odata.nextLink URL if the page length and number of items match.
supplementalobject ListResponseSupplementalSchema Required
Supplemental info:
countinteger Required
Number of items returned
kindstring Required
Type of items in the list
operationstring Required
Operation type. Should always say 'list'
paginationobject PaginationInfoSchema Required
Pagination info:
- end integer Required
- records integer Required
- start integer Required
- total integer Required
subscriptionobject ProjectInfoSchema Optional
Project info:
idstring Requirednamestring Requiredvaluelist of objects WebhookEventBriefSchema Required
A list of Events for a Webhook rule:
createdstring Required format: date-timeTime the Event was created.
sourcestring Required
Path to the resource that triggered the Event.
statusenum Required
Event send status.
Allowed values: Pending, Retrying, Failed, Sent
typeenum Required
The type of the Event.
Allowed values: MediaKind.JobStarted, MediaKind.JobFinished, MediaKind.StreamingLocatorCreated, MediaKind.ChannelInstanceStarted, MediaKind.ChannelInstanceStopped, MediaKind.ChannelInstanceError, MediaKind.ScheduledOperationAccepted, MediaKind.ScheduledOperationCompleted, MediaKind.ScheduledOperationError, MediaKind.ScheduledOperationOngoing
Errors
400 Bad Request
errorobject ErrorDetail Required
Pertinent information about the error:
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
- `ref` string Required
- `status` integer Required
401 Unauthorized
errorobject ErrorDetail Required
Pertinent information about the error:
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
403 Forbidden
errorobject ErrorDetail Required404 Not Found
errorobject ErrorDetail Required429 Too Many Requests
errorobject ErrorDetail Required500 Internal Server Error
errorobject ErrorDetail Required